Schema "fpml-generic-5-5.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/transparency

Version:

  $Revision: 10033 $

Defined Components:

  2 global elements, 50 local elements, 13 complexTypes, 3 element groups

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Users\mkoli\FpML Specifications\trunk\xml\transparency\fpml-generic-5-5.xsd; see XML source

Includes Schemas (5):

  fpml-asset-5-5.xsd [src], fpml-com-5-5.xsd [src], fpml-eq-shared-5-5.xsd [src], fpml-fx-5-5.xsd [src], fpml-shared-5-5.xsd [src]

Included in Schema:

  fpml-main-5-5.xsd [src]

Annotation
Generic products - for use in Transparency reporting to define a product that represents an OTC derivative transaction whose economics are not fully described using an FpML schema. In other views, generic products are present for convenience to support internal messaging and workflows that are cross-product. Generic products are not full trade representations as such they are not intended to be used for confirming trades.

All Element Summary
applicableDay | Specifies the Applicable Day with respect to a range of Settlement Periods.
Type: | DayOfWeekEnum
Content: | simple
Defined: | locally witnin GenericCommodityDeliveryPeriod complexType; see XML source
averagingMethod (in underlyer defined in GenericProduct complexType) | The parties may specify a Method of Averaging where more than one pricing Dates is being specified as being applicable.
Type: | AveragingMethodEnum
Content: | simple
Defined: | locally witnin TradeUnderlyer2 complexType; see XML source
commencementDate (defined in GenericOptionAttributes.model group) | For options, the earliest exercise date of the option (corresponds to the option lock-out period).
Type: | AdjustableDate2
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin GenericOptionAttributes.model group; see XML source
counterpartyReference |
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin GenericProduct complexType; see XML source
crossRate (in exchangeRate in underlyer defined in GenericProduct complexType) | An optional element that allow for definition of the currency exchange rates used to cross between the traded currencies for non-base currency FX contracts.
Type: | CrossRate
Content: | complex, 6 elements
Defined: | locally witnin GenericProductExchangeRate complexType; see XML source
currency1 (in quotedCurrencyPair in exchangeRate in underlyer defined in GenericProduct complexType) | The first currency specified when a pair of currencies is to be evaluated.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin GenericProductQuotedCurrencyPair complexType; see XML source
currency2 (in quotedCurrencyPair in exchangeRate in underlyer defined in GenericProduct complexType) | The second currency specified when a pair of currencies is to be evaluated.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin GenericProductQuotedCurrencyPair complexType; see XML source
dayCountFraction (defined in GenericDayCount complexType) |
Type: | DayCountFraction
Content: | simple, 1 attribute
Defined: | locally witnin GenericDayCount complexType; see XML source
dayCountFraction (in underlyer defined in GenericProduct complexType) | Specifies a day count fraction or fractions that apply to this underlyer; this is provided to meet regulatory reporting requirements, but is not sufficient to to fully represent the economics of the trade..
Type: | DayCountFraction
Content: | simple, 1 attribute
Defined: | locally witnin TradeUnderlyer2 complexType; see XML source
effectiveDate (defined in GenericProduct complexType) | The earliest of all the effective dates of all constituent streams.
Type: | AdjustableDate2
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin GenericProduct complexType; see XML source
endTime | Specifies the hour-ending End Time with respect to a range of Settlement Periods.
Type: | OffsetPrevailingTime
Content: | complex, 2 elements
Defined: | locally witnin GenericCommodityDeliveryPeriod complexType; see XML source
exchangeRate (in underlyer defined in GenericProduct complexType) | The rate of exchange between two currencies.
Type: | GenericProductExchangeRate
Content: | complex, 6 elements
Defined: | locally witnin TradeUnderlyer2 complexType; see XML source
exerciseStyle | For options, whether the option is a put or call option.
Type: | GenericExerciseStyle
Content: | simple, 1 attribute
Defined: | locally witnin GenericOptionAttributes.model group; see XML source
expirationDate (defined in GenericProduct complexType) | For options, the last exercise date of the option.
Type: | AdjustableDate2
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin GenericProduct complexType; see XML source
fixedPrice (defined in GenericCommodityAttributes.model group) | Fixed price on which fixed payments are based.
Type: | FixedPrice
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin GenericCommodityAttributes.model group; see XML source
fixedRate (in underlyer defined in GenericProduct complexType) | The fixed rate or fixed rate schedule expressed as explicit fixed rates and dates.
Type: | Schedule
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin TradeUnderlyer2 complexType; see XML source
floatingRate (in underlyer defined in GenericProduct complexType) | A floating rate.
Type: | FloatingRate
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin TradeUnderlyer2 complexType; see XML source
forwardPoints (in exchangeRate in underlyer defined in GenericProduct complexType) | An optional element used for deals consumated in the FX Forwards market.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin GenericProductExchangeRate complexType; see XML source
genericProduct | Generic products - for use in Transparency reporting to define a product that represents an OTC derivative transaction whose economics are not fully described using an FpML schema.
Type: | GenericProduct
Content: | complex, 1 attribute, 32 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
grade (defined in GenericCommodityAttributes.model group) | The grade(s) of material which can be delivered in seller's option.
Type: | GenericCommodityGrade
Content: | simple, 1 attribute
Defined: | locally witnin GenericCommodityAttributes.model group; see XML source
interconnectionPoint (defined in GenericCommodityAttributes.model group) | Identification of the border(s) or border point(s) of a transportation contract.
Type: | InterconnectionPoint
Content: | simple, 1 attribute
Defined: | locally witnin GenericCommodityAttributes.model group; see XML source
loadType (defined in GenericCommodityAttributes.model group) | LoadType is a summary of the full description of the settlement periods with respect to the region.
Type: | LoadTypeEnum
Content: | simple
Defined: | locally witnin GenericCommodityAttributes.model group; see XML source
multiLeg | Indicates whether this transaction has multiple components, not all of which may be reported.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin GenericProduct complexType; see XML source
nonSchemaProduct | DEPRECATED: Generic products - for use in Transparency reporting to define a product that represents an OTC derivative transaction whose economics are not fully described using an FpML schema.
Type: | GenericProduct
Content: | complex, 1 attribute, 32 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
notional (defined in GenericProduct complexType) | The notional or notionals in effect on the reporting date.
Type: | CashflowNotional
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin GenericProduct complexType; see XML source
numberOfOptions (defined in GenericEquityAttributes.model group) | The number of options comprised in the option transaction.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin GenericEquityAttributes.model group; see XML source
optionEntitlement (defined in GenericEquityAttributes.model group) | The number of units of underlyer per option comprised in the option transaction.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin GenericEquityAttributes.model group; see XML source
optionType (defined in GenericOptionAttributes.model group) | For options, what type of option it is (e.g. butterfly).
Type: | OptionType
Content: | simple, 1 attribute
Defined: | locally witnin GenericOptionAttributes.model group; see XML source
payerPartyReference (in paymentFrequency defined in GenericProduct complexType) |
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin GenericFrequency complexType; see XML source
paymentFrequency (defined in GenericProduct complexType) |
Type: | GenericFrequency
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin GenericProduct complexType; see XML source
pointValue (in exchangeRate in underlyer defined in GenericProduct complexType) | An optional element that documents the size of point (pip) in which a rate was quoted (or in this case, forwardPoints are calculated).
Type: | PointValue
Content: | simple
Defined: | locally witnin GenericProductExchangeRate complexType; see XML source
premium (defined in GenericProduct complexType) |
Type: | SimplePayment
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin GenericProduct complexType; see XML source
quantity (defined in GenericCommodityAttributes.model group) | The periodic quantity.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin GenericCommodityAttributes.model group; see XML source
quantityFrequency | The frequency at which the Notional Quantity is deemed to apply for purposes of calculating the Total Notional Quantity.
Type: | CommodityQuantityFrequency
Content: | simple, 1 attribute
Defined: | locally witnin GenericCommodityAttributes.model group; see XML source
quoteBasis (in quotedCurrencyPair in exchangeRate in underlyer defined in GenericProduct complexType) | The method by which the exchange rate is quoted.
Type: | QuoteBasisEnum
Content: | simple
Defined: | locally witnin GenericProductQuotedCurrencyPair complexType; see XML source
quotedCurrencyPair (in exchangeRate in underlyer defined in GenericProduct complexType) | Defines the two currencies for an FX trade and the quotation relationship between the two currencies.
Type: | GenericProductQuotedCurrencyPair
Content: | complex, 3 elements
Defined: | locally witnin GenericProductExchangeRate complexType; see XML source
quotedCurrencyPair (in underlyer defined in GenericProduct complexType) | Describes the composition of a rate that has been quoted.
Type: | QuotedCurrencyPair
Content: | complex, 3 elements
Defined: | locally witnin TradeUnderlyer2 complexType; see XML source
rate (in exchangeRate in underlyer defined in GenericProduct complexType) | The rate of exchange between the two currencies of the leg of a deal.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin GenericProductExchangeRate complexType; see XML source
referenceEntity (in underlyer defined in GenericProduct complexType) | The corporate or sovereign entity on which you are buying or selling protection and any successor that assumes all or substantially all of its contractual and other obligations.
Type: | LegalEntity
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin TradeUnderlyer2 complexType; see XML source
resetFrequency (defined in GenericProduct complexType) |
Type: | GenericResetFrequency
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin GenericProduct complexType; see XML source
settlementCurrency (defined in GenericProduct complexType) | The currency or currencies in which the product can settle.
Type: | IdentifiedCurrency
Content: | simple, 2 attributes
Defined: | locally witnin GenericProduct complexType; see XML source
settlementPeriods | Specifies the delivery time periods (normally used for electricity swaps).
Type: | GenericCommodityDeliveryPeriod
Content: | complex, 3 elements
Defined: | locally witnin GenericCommodityAttributes.model group; see XML source
settlementType (defined in GenericProduct complexType) | How the trade settles (cash or physical).
Type: | SettlementTypeEnum
Content: | simple
Defined: | locally witnin GenericProduct complexType; see XML source
spotRate (in exchangeRate in underlyer defined in GenericProduct complexType) | An element used for FX forwards and certain types of FX OTC options.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin GenericProductExchangeRate complexType; see XML source
startTime | Specifies the hour-ending Start Time with respect to a range of Settlement Periods.
Type: | OffsetPrevailingTime
Content: | complex, 2 elements
Defined: | locally witnin GenericCommodityDeliveryPeriod complexType; see XML source
strike (defined in GenericOptionAttributes.model group) | The option strike or strikes.
Type: | GenericOptionStrike
Content: | complex, 3 elements
Defined: | locally witnin GenericOptionAttributes.model group; see XML source
terminationDate (defined in GenericProduct complexType) | The latest of all of the termination (accrual end) dates of the constituent or underlying streams.
Type: | AdjustableDate2
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin GenericProduct complexType; see XML source
underlyer (defined in GenericProduct complexType) | The set of underlyers to the trade that can be used in computing the trade's cashflows.
Type: | TradeUnderlyer2
Content: | complex, 1 attribute, 11 elements
Defined: | locally witnin GenericProduct complexType; see XML source
underlyerReference (defined in GenericDayCount complexType) |
Type: | UnderlyerReference
Content: | empty, 1 attribute
Defined: | locally witnin GenericDayCount complexType; see XML source
underlyerReference (in paymentFrequency defined in GenericProduct complexType) |
Type: | UnderlyerReference
Content: | empty, 1 attribute
Defined: | locally witnin GenericFrequency complexType; see XML source
underlyerReference (in resetFrequency defined in GenericProduct complexType) |
Type: | UnderlyerReference
Content: | empty, 1 attribute
Defined: | locally witnin GenericResetFrequency complexType; see XML source
units (in strike defined in GenericOptionAttributes.model group) | The units in which an amount (not monetary) is denominated.
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin GenericOptionStrike complexType; see XML source

Complex Type Summary
GenericCommodityDeliveryPeriod |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
GenericCommodityGrade | A flexible description of the type or characteristics of a commodity grade
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
GenericDayCount |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
GenericExerciseStyle | The data type used to hold the exercise style description of an option in a generic product (e.g.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
GenericFrequency |
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
GenericOptionStrike |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
GenericProduct | Simple product representation providing key information about a variety of different products.
Content: | complex, 1 attribute, 32 elements
Defined: | globally; see XML source
Includes: | definitions of 12 elements
Used: | at 2 locations
GenericProductExchangeRate | A type that is used for describing the exchange rate for a particular transaction.
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location
GenericProductQuotedCurrencyPair | A type that describes the composition of a rate that has been quoted or is to be quoted.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
GenericResetFrequency |
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
OptionType | A flexible description of the type or characteristics of an option or strategy, e.g. butterfly, condor, chooser.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
TradeUnderlyer2 | The underlying asset/index/reference price etc. whose rate/price may be observed to compute the value of the cashflow.
Content: | complex, 1 attribute, 11 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 8 elements
Used: | at 1 location
UnderlyerReference | Reference to an underlyer
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 3 locations

Element Group Summary
GenericCommodityAttributes.model |
Content: | 7 elements
Defined: | globally; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location
GenericEquityAttributes.model |
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
GenericOptionAttributes.model |
Content: | 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2013 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="trnsp" ecore:package="org.fpml.transparency" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/transparency" version="$Revision: 10033 $" xmlns="http://www.fpml.org/FpML-5/transparency" xmlns:dsig="http://www.w3.org/2000/09/xmldsig#" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:annotation> <xsd:documentation xml:lang="en"> Generic products - for use in Transparency reporting to define a product that represents an OTC derivative transaction whose economics are not fully described using an FpML schema. In other views, generic products are present for convenience to support internal messaging and workflows that are cross-product. Generic products are not full trade representations as such they are not intended to be used for confirming trades. </xsd:documentation> <!--IY: ETTF pretrade IRS and CDS--> </xsd:annotation> <xsd:include schemaLocation="fpml-shared-5-5.xsd"/> <xsd:include schemaLocation="fpml-asset-5-5.xsd"/> <xsd:include schemaLocation="fpml-com-5-5.xsd"/> <xsd:include schemaLocation="fpml-fx-5-5.xsd"/> <xsd:include schemaLocation="fpml-eq-shared-5-5.xsd"/> <!--================================== GenericProduct Product elements and types ===============================--> <xsd:complexType name="GenericCommodityDeliveryPeriod"> <xsd:annotation> <xsd:documentation xml:lang="en"/> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="7" minOccurs="0" name="applicableDay" type="DayOfWeekEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the Applicable Day with respect to a range of Settlement Periods. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="startTime" type="OffsetPrevailingTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the hour-ending Start Time with respect to a range of Settlement Periods. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="endTime" type="OffsetPrevailingTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the hour-ending End Time with respect to a range of Settlement Periods. If neither startTime nor endTime contain an offset element and endTime is earlier than startTime, this indicates that the time period "wraps around" midnight. For example, if startTime is 23:00 and endTime is 01:00 then Settlement Periods apply from 00:00 to 01:00 and 23:00 to 00:00 on each included day. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:sequence> </xsd:complexType> <xsd:complexType name="GenericCommodityGrade"> <xsd:annotation> <xsd:documentation xml:lang="en"> A flexible description of the type or characteristics of a commodity grade </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="commodityGradeScheme" type="xsd:anyURI"> <xsd:annotation> <xsd:documentation xml:lang="en">The type scheme used with this commodity grade.</xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="GenericDayCount"> <xsd:sequence> <xsd:element minOccurs="0" name="underlyerReference" type="UnderlyerReference"/> <xsd:element name="dayCountFraction" type="DayCountFraction"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="GenericExerciseStyle"> <xsd:annotation> <xsd:documentation xml:lang="en"> The data type used to hold the exercise style description of an option in a generic product (e.g. American, European, Bermudan). </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/generic-exercise-style" name="exerciseStyleScheme" type="xsd:anyURI"> <xsd:annotation> <xsd:documentation xml:lang="en">The value scheme used with this property.</xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="GenericFrequency"> <xsd:complexContent> <xsd:extension base="Frequency"> <xsd:choice minOccurs="0"> <xsd:element name="payerPartyReference" type="PartyReference"/> <xsd:element name="underlyerReference" type="UnderlyerReference"/> </xsd:choice> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="GenericOptionStrike"> <xsd:complexContent> <xsd:extension base="EquityStrike"> <xsd:sequence> <xsd:element minOccurs="0" name="units" type="xsd:normalizedString"> <xsd:annotation> <xsd:documentation xml:lang="en"> The units in which an amount (not monetary) is denominated. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="GenericProduct"> <xsd:annotation> <xsd:documentation xml:lang="en"> Simple product representation providing key information about a variety of different products. Generic products - for use in Transparency reporting to define a product that represents an OTC derivative transaction whose economics are not fully described using an FpML schema. In other views, generic products are present for convenience to support internal messaging and workflows that are cross-product. Generic products are not full trade representations as such they are not intended to be used for confirming trades. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element minOccurs="0" name="multiLeg" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates whether this transaction has multiple components, not all of which may be reported. The use of this field is not recommended, and it may be deprecated in a future version of this standard. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice minOccurs="0"> <xsd:group ref="BuyerSeller.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The buying and selling party for the product. This is commonly used for options, but may also be used for other products. </xsd:documentation> </xsd:annotation> </xsd:group> <xsd:element maxOccurs="2" minOccurs="0" name="counterpartyReference" type="PartyReference"/> </xsd:choice> <xsd:element minOccurs="0" name="premium" type="SimplePayment"/> <xsd:element name="effectiveDate" type="AdjustableDate2"> <xsd:annotation> <xsd:documentation xml:lang="en"> The earliest of all the effective dates of all constituent streams. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="expirationDate" type="AdjustableDate2"> <xsd:annotation> <xsd:documentation xml:lang="en"> For options, the last exercise date of the option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="terminationDate" type="AdjustableDate2"> <xsd:annotation> <xsd:documentation xml:lang="en"> The latest of all of the termination (accrual end) dates of the constituent or underlying streams. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" name="underlyer" type="TradeUnderlyer2"> <xsd:annotation> <xsd:documentation xml:lang="en"> The set of underlyers to the trade that can be used in computing the trade's cashflows. If this information is needed to identify the trade, all of the trade's underlyers should be specified, whether or not they figure into the cashflow calculation. Otherwise, only those underlyers used to compute this particular cashflow need be supplied. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="notional" type="CashflowNotional"> <xsd:annotation> <xsd:documentation xml:lang="en"> The notional or notionals in effect on the reporting date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="GenericCommodityAttributes.model"/> <xsd:group minOccurs="0" ref="GenericEquityAttributes.model"/> <xsd:group minOccurs="0" ref="GenericOptionAttributes.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="paymentFrequency" type="GenericFrequency"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="resetFrequency" type="GenericResetFrequency"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementCurrency" type="IdentifiedCurrency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The currency or currencies in which the product can settle. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="settlementType" type="SettlementTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> How the trade settles (cash or physical). This element is also used for CFTC the "Delivery Type" field. </xsd:documentation> </xsd:annotation> </xsd:element> <!--<xsd:element name="dayCountFraction" type="DayCountFraction" minOccurs="0" maxOccurs="unbounded"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies a day count fraction or fractions that apply to the trade; this is provided to meet regulatory reporting requirements, but is not sufficient to to fully represent the economics of the trade..</xsd:documentation> </xsd:annotation> </xsd:element>--> <!-- <xsd:choice> <xsd:element name="dayCountFraction" type="DayCountFraction" minOccurs="0" maxOccurs="unbounded"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies a day count fraction or fractions that apply to the trade; this is provided to meet regulatory reporting requirements, but is not sufficient to to fully represent the economics of the trade..</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="dayCountConvention" type="GenericDayCount" minOccurs="0" maxOccurs="unbounded"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies a day count fraction or fractions that apply to the trade; this is provided to meet regulatory reporting requirements, but is not sufficient to to fully represent the economics of the trade. This version allows the day count to be linked to an underlying asset.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> --> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="GenericResetFrequency"> <xsd:complexContent> <xsd:extension base="Frequency"> <xsd:sequence> <xsd:element minOccurs="0" name="underlyerReference" type="UnderlyerReference"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="OptionType"> <xsd:annotation> <xsd:documentation xml:lang="en"> A flexible description of the type or characteristics of an option or strategy, e.g. butterfly, condor, chooser. For use with Generic products in Transparency reporting. Generic products define a product that represents an OTC derivative transaction whose economics are not fully described using an FpML schema. In other views, generic products are present for convenience to support internal messaging and workflows that are cross-product. Generic products are not full trade representations as such they are not intended to be used for confirming trades. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/option-type" name="optionTypeScheme" type="xsd:anyURI"> <xsd:annotation> <xsd:documentation xml:lang="en">The type scheme used with this option type.</xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="TradeUnderlyer2"> <xsd:annotation> <xsd:documentation xml:lang="en"> The underlying asset/index/reference price etc. whose rate/price may be observed to compute the value of the cashflow. It can be an index, fixed rate, listed security, quoted currency pair, or a reference entity (for credit derivatives). For use with Generic products in Transparency reporting. Generic products define a product that represents an OTC derivative transaction whose economics are not fully described using an FpML schema. In other views, generic products are present for convenience to support internal messaging and workflows that are cross-product. Generic products are not full trade representations as such they are not intended to be used for confirming trades. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element name="floatingRate" type="FloatingRate"> <xsd:annotation> <xsd:documentation xml:lang="en">A floating rate.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="fixedRate" type="Schedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> The fixed rate or fixed rate schedule expressed as explicit fixed rates and dates. In the case of a schedule, the step dates may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="exchangeRate" type="GenericProductExchangeRate"> <xsd:annotation> <xsd:documentation xml:lang="en">The rate of exchange between two currencies.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element ref="underlyingAsset"> <xsd:annotation> <xsd:documentation xml:lang="en"> Define the underlying asset, either a listed security or other instrument. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="quotedCurrencyPair" type="QuotedCurrencyPair"> <xsd:annotation> <xsd:documentation xml:lang="en"> Describes the composition of a rate that has been quoted. This includes the two currencies and the quotation relationship between the two currencies. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="referenceEntity" type="LegalEntity"> <xsd:annotation> <xsd:documentation xml:lang="en"> The corporate or sovereign entity on which you are buying or selling protection and any successor that assumes all or substantially all of its contractual and other obligations. It is vital to use the correct legal name of the entity and to be careful not to choose a subsidiary if you really want to trade protection on a parent company. Please note, Reference Entities cannot be senior or subordinated. It is the obligations of the Reference Entities that can be senior or subordinated. ISDA 2003 Term: Reference Entity </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="averagingMethod" type="AveragingMethodEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parties may specify a Method of Averaging where more than one pricing Dates is being specified as being applicable. This defines the averaging method applicable to this asset (used for Commodities). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice minOccurs="0"> <xsd:group ref="PayerReceiver.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the parties responsible for paying vs. receiving this asset. </xsd:documentation> </xsd:annotation> </xsd:group> <xsd:group ref="BuyerSeller.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The buying and selling party for the product. This is commonly used for options, but may also be used for other products. </xsd:documentation> </xsd:annotation> </xsd:group> </xsd:choice> <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies a day count fraction or fractions that apply to this underlyer; this is provided to meet regulatory reporting requirements, but is not sufficient to to fully represent the economics of the trade.. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="GenericProductQuotedCurrencyPair"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that describes the composition of a rate that has been quoted or is to be quoted. This includes the two currencies and the quotation relationship between the two currencies and is used as a building block throughout the FX specification. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="currency1" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The first currency specified when a pair of currencies is to be evaluated. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="currency2" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The second currency specified when a pair of currencies is to be evaluated. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="quoteBasis" type="QuoteBasisEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">The method by which the exchange rate is quoted.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="GenericProductExchangeRate"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that is used for describing the exchange rate for a particular transaction. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="quotedCurrencyPair" type="GenericProductQuotedCurrencyPair"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines the two currencies for an FX trade and the quotation relationship between the two currencies. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="rate" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The rate of exchange between the two currencies of the leg of a deal. Must be specified with a quote basis. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="spotRate" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> An element used for FX forwards and certain types of FX OTC options. For deals consumated in the FX Forwards Market, this represents the current market rate for a particular currency pair. For barrier and digital/binary options, it can be useful to include the spot rate at the time the option was executed to make it easier to know whether the option needs to move "up" or "down" to be triggered. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="forwardPoints" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> An optional element used for deals consumated in the FX Forwards market. Forward points represent the interest rate differential between the two currencies traded and are quoted as a preminum or a discount. Forward points are added to, or subtracted from, the spot rate to create the rate of the forward trade. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="pointValue" type="PointValue"> <xsd:annotation> <xsd:documentation xml:lang="en"> An optional element that documents the size of point (pip) in which a rate was quoted (or in this case, forwardPoints are calculated). Point (pip) size varies by currency pair: major currencies are all traded in points of 0.0001, with the exception of JPY which has a point size of 0.01. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="crossRate" type="CrossRate"> <xsd:annotation> <xsd:documentation xml:lang="en"> An optional element that allow for definition of the currency exchange rates used to cross between the traded currencies for non-base currency FX contracts. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="UnderlyerReference"> <xsd:annotation> <xsd:documentation>Reference to an underlyer</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute name="href"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:group name="GenericCommodityAttributes.model"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="grade" type="GenericCommodityGrade"> <xsd:annotation> <xsd:documentation xml:lang="en"> The grade(s) of material which can be delivered in seller's option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriods" type="GenericCommodityDeliveryPeriod"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the delivery time periods (normally used for electricity swaps). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="loadType" type="LoadTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> LoadType is a summary of the full description of the settlement periods with respect to the region. Used for describing Electricity delivery schedules (e.g. Base, Peak, Off-Peak, Custom). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="quantity" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The periodic quantity. Used in conjunction with the quantityFrequency to define quantity per period. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="quantityFrequency" type="CommodityQuantityFrequency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The frequency at which the Notional Quantity is deemed to apply for purposes of calculating the Total Notional Quantity. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fixedPrice" type="FixedPrice"> <xsd:annotation> <xsd:documentation xml:lang="en">Fixed price on which fixed payments are based.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="interconnectionPoint" type="InterconnectionPoint"> <xsd:annotation> <xsd:documentation> Identification of the border(s) or border point(s) of a transportation contract. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="GenericEquityAttributes.model"> <xsd:sequence> <xsd:element minOccurs="0" name="optionEntitlement" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of units of underlyer per option comprised in the option transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="numberOfOptions" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of options comprised in the option transaction. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="GenericOptionAttributes.model"> <xsd:sequence> <xsd:element minOccurs="0" name="optionType" type="OptionType"> <xsd:annotation> <xsd:documentation xml:lang="en"> For options, what type of option it is (e.g. butterfly). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="commencementDate" type="AdjustableDate2"> <xsd:annotation> <xsd:documentation xml:lang="en"> For options, the earliest exercise date of the option (corresponds to the option lock-out period). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="exerciseStyle" type="GenericExerciseStyle"> <xsd:annotation> <xsd:documentation xml:lang="en"> For options, whether the option is a put or call option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="strike" type="GenericOptionStrike"> <xsd:annotation> <xsd:documentation xml:lang="en">The option strike or strikes.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:element name="genericProduct" substitutionGroup="product" type="GenericProduct"> <xsd:annotation> <xsd:documentation xml:lang="en"> Generic products - for use in Transparency reporting to define a product that represents an OTC derivative transaction whose economics are not fully described using an FpML schema. In other views, generic products are present for convenience to support internal messaging and workflows that are cross-product. Generic products are not full trade representations as such they are not intended to be used for confirming trades. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element fpml-annotation:deprecated="true" fpml-annotation:deprecatedReason="Replaced by genericProduct" name="nonSchemaProduct" substitutionGroup="product" type="GenericProduct"> <xsd:annotation> <xsd:documentation xml:lang="en"> DEPRECATED: Generic products - for use in Transparency reporting to define a product that represents an OTC derivative transaction whose economics are not fully described using an FpML schema. In other views, generic products are present for convenience to support internal messaging and workflows that are cross-product. Generic products are not full trade representations as such they are not intended to be used for confirming trades. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.